import { ColumnResolvable, DataResolvable, DataTypes, SqliteChanges, SqliteQueryOptions, SqliteTableColumn } from "../typings";
import { Column } from "./Column";
import Database from "./Database";
declare class Table {
    db: Database;
    name: string;
    _columns: ColumnResolvable[];
    columns: Column[];
    ready: boolean;
    constructor(name: string, db: Database, columns?: ColumnResolvable[]);
    setDatabase(db: Database): this;
    setName(str: string): this;
    transformColumns(): Column[];
    getTypeColumns(type: DataTypes): Column[];
    getColumns(): Column[];
    getColumn(index: number): Column | undefined;
    isReady(): boolean;
    get columnCreator(): string;
    getTableColumns(): SqliteTableColumn[];
    create(): boolean;
    addColumns(columns: ColumnResolvable[], force?: boolean): this;
    addColumn(column: ColumnResolvable, force?: boolean): this;
    get(options: SqliteQueryOptions): DataResolvable | undefined;
    all(options?: SqliteQueryOptions): DataResolvable[];
    insert(data: DataResolvable[] | DataResolvable): SqliteChanges;
    delete(options?: SqliteQueryOptions): SqliteChanges;
    set(data: DataResolvable, options?: SqliteQueryOptions): (SqliteChanges | undefined)[];
}
export { Table };
//# sourceMappingURL=Table.d.ts.map